Get Margin
curl --request POST \
--url https://api-options.sandbox.rails.xyz/contracts/margin \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"market": "BTC-3JUL26-62000-C",
"side": "buy",
"orderPrice": "150.00",
"indexPrice": "61665.11",
"availableBalance": "10000.00"
}
'import requests
url = "https://api-options.sandbox.rails.xyz/contracts/margin"
payload = {
"market": "BTC-3JUL26-62000-C",
"side": "buy",
"orderPrice": "150.00",
"indexPrice": "61665.11",
"availableBalance": "10000.00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
market: 'BTC-3JUL26-62000-C',
side: 'buy',
orderPrice: '150.00',
indexPrice: '61665.11',
availableBalance: '10000.00'
})
};
fetch('https://api-options.sandbox.rails.xyz/contracts/margin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"costPerUnit": "193.245",
"maxQty": "51"
}Market Data
Get Margin
Estimate per-unit order cost and the maximum affordable quantity for an order.
POST
/
contracts
/
margin
Get Margin
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Option contract name, e.g. BTC-19JUN26-62000-C.
Order side: buy or sell.
Order price per contract (positive decimal).
Current index price of the underlying (positive decimal).
Balance available to allocate to the order.
⌘I